Index: branches/HTM-14.0-dev0/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- branches/HTM-14.0-dev0/source/App/TAppEncoder/TAppEncCfg.h	(revision 1186)
+++ branches/HTM-14.0-dev0/source/App/TAppEncoder/TAppEncCfg.h	(revision 1187)
@@ -539,12 +539,16 @@
     Int iSpace = max(1, ENC_CFG_CONSOUT_SPACE - (Int) description.length() ); 
     
-    for ( Int i = 0; i < iSpace; i++ ) 
+    for ( Int i = 0; i < iSpace; i++ )
+    {
       description.append( " " ); 
+    }
       
     description.append( ":" ); 
     printf( "%s", description.c_str() ); 
 
-    for(Int i=0;i<rpcVector.size();i++)                
+    for(Int i=0;i<rpcVector.size();i++)
+    {
       xPrintVectorElem( rpcVector[i] );
+    }
 
     printf("\n");
Index: branches/HTM-14.0-dev0/source/Lib/TLibCommon/ContextTables.h
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibCommon/ContextTables.h	(revision 1186)
+++ branches/HTM-14.0-dev0/source/Lib/TLibCommon/ContextTables.h	(revision 1187)
@@ -51,6 +51,8 @@
 #define NUM_SPLIT_FLAG_CTX            3       ///< number of context models for split flag
 #define NUM_SKIP_FLAG_CTX             3       ///< number of context models for skip flag
+#if H_3D
 #define NUM_DIS_FLAG_CTX              1
 #define NUM_DIS_TYPE_CTX              1       
+#endif
 #define NUM_MERGE_FLAG_EXT_CTX        1       ///< number of context models for merge flag of merge extended
 #define NUM_MERGE_IDX_EXT_CTX         1       ///< number of context models for merge index of merge extended
Index: branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComDataCU.cpp	(revision 1186)
+++ branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComDataCU.cpp	(revision 1187)
@@ -153,5 +153,4 @@
   m_pbDBBPFlag         = NULL;
 #endif
-
 }
 
@@ -957,6 +956,4 @@
       m_pbICFlag          [ui] = pcCU->m_pbICFlag[uiPartOffset+ui];
 #endif
-
-
 #if H_3D_DIM
       for( Int i = 0; i < DIM_NUM_TYPE; i++ )
@@ -1095,5 +1092,4 @@
   m_pbSPIVMPFlag        = pcCU->getSPIVMPFlag()          + uiPart;
 #endif
-
 #if H_3D_ARP
   m_puhARPW             = pcCU->getARPW()             + uiPart;
@@ -1102,6 +1098,4 @@
   m_pbICFlag            = pcCU->getICFlag()           + uiPart;
 #endif
-
-
   m_puhLumaIntraDir     = pcCU->getLumaIntraDir()     + uiPart;
   m_puhChromaIntraDir   = pcCU->getChromaIntraDir()   + uiPart;
@@ -1242,15 +1236,11 @@
 #endif
 #if H_3D_SPIVMP
-  m_pbSPIVMPFlag       = pcCU->getSPIVMPFlag()               + uiAbsPartIdx;
-#endif
-
+  m_pbSPIVMPFlag       = pcCU->getSPIVMPFlag()            + uiAbsPartIdx;
+#endif
   m_apiMVPIdx[eRefPicList] = pcCU->getMVPIdx(eRefPicList) + uiAbsPartIdx;
-  m_apiMVPNum[eRefPicList] = pcCU->getMVPNum(eRefPicList) + uiAbsPartIdx;
-  
+  m_apiMVPNum[eRefPicList] = pcCU->getMVPNum(eRefPicList) + uiAbsPartIdx;  
 #if H_3D_ARP
   m_puhARPW            = pcCU->getARPW()                  + uiAbsPartIdx;
-#endif
-
-    
+#endif    
 #if H_3D_DBBP
   m_pbDBBPFlag       = pcCU->getDBBPFlag()              + uiAbsPartIdx;
@@ -1300,5 +1290,4 @@
   memcpy( m_piVSPFlag           + uiOffset, pcCU->getVSPFlag(),           sizeof( Char ) * uiNumPartition );
   memcpy( m_pDvInfo             + uiOffset, pcCU->getDvInfo(),            sizeof( *m_pDvInfo ) * uiNumPartition );
-
 #endif
 #if H_3D_SPIVMP
@@ -1316,7 +1305,4 @@
   memcpy( m_puhCbf[1] + uiOffset, pcCU->getCbf(TEXT_CHROMA_U), iSizeInUchar );
   memcpy( m_puhCbf[2] + uiOffset, pcCU->getCbf(TEXT_CHROMA_V), iSizeInUchar );
-
-
-
 #if H_3D_DIM
   for( Int i = 0; i < DIM_NUM_TYPE; i++ )
@@ -1415,6 +1401,4 @@
   memcpy( rpcCU->getDvInfo()         + m_uiAbsIdxInLCU, m_pDvInfo,    sizeof(* m_pDvInfo)     * m_uiNumPartition );
 #endif
-
-
   memcpy( rpcCU->getPartitionSize()  + m_uiAbsIdxInLCU, m_pePartSize, sizeof( *m_pePartSize ) * m_uiNumPartition );
   memcpy( rpcCU->getPredictionMode() + m_uiAbsIdxInLCU, m_pePredMode, sizeof( *m_pePredMode ) * m_uiNumPartition );
@@ -1548,6 +1532,4 @@
   memcpy( rpcCU->getCbf(TEXT_CHROMA_U) + uiPartOffset, m_puhCbf[1], iSizeInUchar );
   memcpy( rpcCU->getCbf(TEXT_CHROMA_V) + uiPartOffset, m_puhCbf[2], iSizeInUchar );
-
-
 #if H_3D_DIM
   for( Int i = 0; i < DMM_NUM_TYPE; i++ )
@@ -2284,6 +2266,5 @@
   {
     return NULL;
-  }
-  
+  }  
 #if H_3D_FCO
   TComPic* depthPic = getSlice()->getIvPic(true, getSlice()->getViewIndex() );
@@ -3850,5 +3831,5 @@
 #endif
 #if H_3D_ARP
-  Bool bARPFlag = getARPW(uiAbsPartIdx)>0 ? true : false;
+  Bool bARPFlag = getARPW(uiAbsPartIdx) > 0;
 #endif
 #if H_3D_DBBP
@@ -3883,6 +3864,5 @@
     m_mergCands[MRG_A1].setCand( &pcMvFieldNeighbours[m_baseListidc<<1], puhInterDirNeighbours[m_baseListidc]
 #if H_3D_VSP
-    , 
-      (pcCULeft->getVSPFlag(uiLeftPartIdx) != 0
+    , (pcCULeft->getVSPFlag(uiLeftPartIdx) != 0
 #if H_3D_IC
       && !bICFlag
@@ -3907,6 +3887,5 @@
     m_mergCands[MRG_B1].setCand( &pcMvFieldNeighbours[m_baseListidc<<1], puhInterDirNeighbours[m_baseListidc]
 #if H_3D_VSP
-    ,
-      false
+    , false
 #endif
       , false
@@ -3935,6 +3914,5 @@
     m_mergCands[MRG_A0].setCand( &pcMvFieldNeighbours[m_baseListidc<<1], puhInterDirNeighbours[m_baseListidc]
 #if H_3D_VSP
-    ,
-      false
+    , false
 #endif
       , false
@@ -3949,6 +3927,5 @@
     m_mergCands[MRG_B2].setCand( &pcMvFieldNeighbours[m_baseListidc<<1], puhInterDirNeighbours[m_baseListidc]
 #if H_3D_VSP
-    ,
-      false
+    , false
 #endif
       , false
@@ -3977,9 +3954,5 @@
     TComPic * pcTexPic = m_pcSlice->getTexturePic();
 #if H_3D_FCO
-#if H_3D_FCO
     if (pcTexPic && pcTexPic->getReconMark())
-#else
-    if (pcTexturePic->getReconMark())
-#endif
     {
 #endif    
@@ -4016,5 +3989,5 @@
       Int         iTexPosX, iTexPosY;
       const TComMv cMvRounding( 1 << ( 2 - 1 ), 1 << ( 2 - 1 ) );
-      
+
       Int         iCenterPosX = iCurrPosX + ( ( iWidth /  iPUWidth ) >> 1 )  * iPUWidth + ( iPUWidth >> 1 );
       Int         iCenterPosY = iCurrPosY + ( ( iHeight /  iPUHeight ) >> 1 )  * iPUHeight + (iPUHeight >> 1);
@@ -4023,6 +3996,6 @@
       if(iWidth == iPUWidth && iHeight == iPUHeight)
       {
-          iCenterPosX = iCurrPosX + (iWidth >> 1);
-          iCenterPosY = iCurrPosY + (iHeight >> 1);
+        iCenterPosX = iCurrPosX + (iWidth >> 1);
+        iCenterPosY = iCurrPosY + (iHeight >> 1);
       }
 
@@ -4060,8 +4033,8 @@
       if ( bSPIVMPFlag == true )
       {   
-          iInterDirSaved = (cMvFieldSaved[0].getRefIdx()!=-1 ? 1: 0) + (cMvFieldSaved[1].getRefIdx()!=-1 ? 2: 0);
-          tmpDir = iInterDirSaved;
-          tmpMV[0] = cMvFieldSaved[0];
-          tmpMV[1] = cMvFieldSaved[1];
+        iInterDirSaved = (cMvFieldSaved[0].getRefIdx()!=-1 ? 1: 0) + (cMvFieldSaved[1].getRefIdx()!=-1 ? 2: 0);
+        tmpDir = iInterDirSaved;
+        tmpMV[0] = cMvFieldSaved[0];
+        tmpMV[1] = cMvFieldSaved[1];
       }
 
@@ -4205,14 +4178,14 @@
     if (!bRemoveSpa)
     {
-      Bool SPIVMPFlag = false;
+      Bool spiMvpFlag = false;
       if(!m_pcSlice->getIsDepth())
       {
-        SPIVMPFlag = true;
+        spiMvpFlag = true;
       }
 #if H_3D_DBBP
-      SPIVMPFlag &= !bDBBPFlag;
-#endif
-
-      m_mergCands[MRG_IVMC].setCand( tmpMV, ivCandDir[0], false, SPIVMPFlag);
+      spiMvpFlag &= !bDBBPFlag;
+#endif
+
+      m_mergCands[MRG_IVMC].setCand( tmpMV, ivCandDir[0], false, spiMvpFlag);
 
       if ( mrgCandIdx == iCount )
@@ -5319,5 +5292,5 @@
 
 #if H_MV
-Void TComDataCU::checkMV_V (TComMv&  rcMv,  RefPicList eRefPicList, int iRefIdx )
+Void TComDataCU::checkMvVertRest (TComMv&  rcMv,  RefPicList eRefPicList, int iRefIdx )
 {
   if ( getSlice()->getSPS()->getInterViewMvVertConstraintFlag() )
@@ -5685,5 +5658,7 @@
     iScale = 4096;
     if ( iCurrRefViewId != iCurrViewId && iColViewId != iColRefViewId )
+    {
       iScale = xGetDistScaleFactor( iCurrViewId, iCurrRefViewId, iColViewId, iColRefViewId );
+    }
     if ( bMRG && iScale != 4096 && m_pcSlice->getIvMvScalingFlag( ) ) 
     {
@@ -5862,8 +5837,8 @@
 }
 #endif
+
 #if H_3D_IV_MERGE
 Void TComDataCU::getDispforDepth (UInt uiPartIdx, UInt uiPartAddr, DisInfo* pDisp)
 {
-
   assert(getPartitionSize( uiPartAddr ) == SIZE_2Nx2N);
 
@@ -5871,12 +5846,12 @@
   if ( getSlice()->getDefaultRefViewIdxAvailableFlag() )
   {
-      Int iViewIdx = getSlice()->getDefaultRefViewIdx();
-      pDisp->m_aVIdxCan = iViewIdx;
-      Int iDisp     = getSlice()->getDepthToDisparityB( iViewIdx )[ (Int64) (1 << ( getSlice()->getSPS()->getBitDepthY() - 1 )) ];
-
-      cMv.setHor(iDisp);
-      cMv.setVer(0);
-      pDisp->m_acNBDV = cMv;
-      pDisp->m_aVIdxCan = iViewIdx;
+    Int iViewIdx = getSlice()->getDefaultRefViewIdx();
+    pDisp->m_aVIdxCan = iViewIdx;
+    Int iDisp     = getSlice()->getDepthToDisparityB( iViewIdx )[ (Int64) (1 << ( getSlice()->getSPS()->getBitDepthY() - 1 )) ];
+
+    cMv.setHor(iDisp);
+    cMv.setVer(0);
+    pDisp->m_acNBDV = cMv;
+    pDisp->m_aVIdxCan = iViewIdx;
   }
 }
@@ -6037,6 +6012,7 @@
 #endif
         if (picDepth && bDepthRefine)
+        {
           estimateDVFromDM(iTargetViewIdx, uiPartIdx, picDepth, uiPartAddr, &cColMv );
-
+        }
         pDInfo->m_acDoNBDV  = cColMv;
 #endif //H_3D_NBDV_REF
@@ -6121,28 +6097,28 @@
   if (getSlice()->getDefaultRefViewIdxAvailableFlag())
   {
-      pDInfo->m_aVIdxCan = getSlice()->getDefaultRefViewIdx();
+    pDInfo->m_aVIdxCan = getSlice()->getDefaultRefViewIdx();
 
 #if H_3D_NBDV_REF
-          TComPic* picDepth = NULL;
+    TComPic* picDepth = NULL;
 #if H_3D_FCO_VSP_DONBDV_E0163
-          picDepth  = getSlice()->getIvPic(true, getSlice()->getViewIndex() );
-      if ( picDepth->getPicYuvRec() != NULL )  
-      {
-          defaultDV.setZero();
-      }
-      else // Go back with virtual depth
-      {
-          picDepth = getSlice()->getIvPic( true, getSlice()->getDefaultRefViewIdx());
-      }
-
-      assert(picDepth != NULL);
+    picDepth  = getSlice()->getIvPic(true, getSlice()->getViewIndex() );
+    if ( picDepth->getPicYuvRec() != NULL )  
+    {
+      defaultDV.setZero();
+    }
+    else // Go back with virtual depth
+    {
+      picDepth = getSlice()->getIvPic( true, getSlice()->getDefaultRefViewIdx());
+    }
+
+    assert(picDepth != NULL);
 #else
-          picDepth = getSlice()->getIvPic( true, getSlice()->getDefaultRefViewIdx());
-#endif
-      if (picDepth && bDepthRefine)
-      {
-          estimateDVFromDM(getSlice()->getDefaultRefViewIdx(), uiPartIdx, picDepth, uiPartAddr, &defaultDV ); // from base view
-      }
-      pDInfo->m_acDoNBDV = defaultDV;
+    picDepth = getSlice()->getIvPic( true, getSlice()->getDefaultRefViewIdx());
+#endif
+    if (picDepth && bDepthRefine)
+    {
+      estimateDVFromDM(getSlice()->getDefaultRefViewIdx(), uiPartIdx, picDepth, uiPartAddr, &defaultDV ); // from base view
+    }
+    pDInfo->m_acDoNBDV = defaultDV;
 #endif
   }
@@ -6236,6 +6212,7 @@
 
           if (picDepth && bDepthRefine)
+          {
             estimateDVFromDM(refViewIdx, uiPartIdx, picDepth, uiPartAddr, &cMvPred );
-
+          }
           pNbDvInfo->m_acDoNBDV = cMvPred;
 #endif
@@ -6657,6 +6634,6 @@
                 {
                   RefPicList  eCurrRefPicList = RefPicList( uiCurrRefListId );
-                  Bool bLoop_stop = false;
-                  for(Int iLoop = 0; iLoop < 2 && !bLoop_stop; ++iLoop)
+                  Bool bLoopStop = false;
+                  for(Int iLoop = 0; iLoop < 2 && !bLoopStop; ++iLoop)
                   {
                     RefPicList eBaseRefPicList = (iLoop ==1)? RefPicList( 1 -  uiCurrRefListId ) : RefPicList( uiCurrRefListId );
@@ -6684,5 +6661,5 @@
                             }
 
-                            bLoop_stop = true;
+                            bLoopStop = true;
 
                             pcMvFieldSP[2*iPartition + uiCurrRefListId].setMvField(cMv, iPdmRefIdx);
@@ -6916,5 +6893,8 @@
 {
   UInt uiCurrPartNumb = m_pcPic->getNumPartInCU() >> (uiDepth << 1);
-  for( UInt ui = 0; ui < uiCurrPartNumb; ui++ ) { m_dmmWedgeTabIdx[dmmType][uiAbsPartIdx+ui] = tabIdx; }
+  for( UInt ui = 0; ui < uiCurrPartNumb; ui++ )
+  { 
+    m_dmmWedgeTabIdx[dmmType][uiAbsPartIdx+ui] = tabIdx; 
+  }
 }
 #endif
Index: branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComDataCU.h
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComDataCU.h	(revision 1186)
+++ branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComDataCU.h	(revision 1187)
@@ -72,5 +72,5 @@
   PartSize    eVirtualPartSize;
   UInt        uiVirtualPartIndex;
-} DBBPTmpData;
+} DbbpTmpData;
 #endif
 
@@ -173,10 +173,8 @@
 #endif
 #if H_3D_VSP
-  Char*         m_piVSPFlag;          ///< array of VSP flags to indicate whehter a block uses VSP or not
-                                      ///< 0: non-VSP; 1: VSP
+  Char*         m_piVSPFlag;          ///< array of VSP flags to indicate whehter a block uses VSP or not  ///< 0: non-VSP; 1: VSP
 #endif
 #if H_3D_SPIVMP
-  Bool*         m_pbSPIVMPFlag;       ///< array of sub-PU IVMP flags to indicate whehter a block uses sub-PU IVMP
-                                      ///< 0: non-SPIVMP; 1: SPIVMP
+  Bool*         m_pbSPIVMPFlag;       ///< array of sub-PU IVMP flags to indicate whehter a block uses sub-PU IVMP ///< 0: non-SPIVMP; 1: SPIVMP
 #endif
 #if H_3D_ARP
@@ -194,10 +192,10 @@
   Bool*         m_pbSDCFlag;
   Pel*          m_apSegmentDCOffset[2];
-  Pel          m_apDmmPredictor[2];
+  Pel           m_apDmmPredictor[2];
 #endif
 #endif
 #if H_3D_DBBP
   Bool*         m_pbDBBPFlag;        ///< array of DBBP flags
-  DBBPTmpData   m_sDBBPTmpData;
+  DbbpTmpData   m_sDBBPTmpData;
 #endif
 #if H_3D
@@ -247,6 +245,5 @@
   Bool          xGetColMVP( RefPicList eRefPicList, Int uiCUAddr, Int uiPartUnitIdx, TComMv& rcMv, Int& riRefIdx 
 #if H_3D_TMVP
-  ,
-  Bool bMRG = true
+  ,  Bool bMRG = true
 #endif
   );
@@ -368,5 +365,5 @@
   Void          setDBBPFlag           ( UInt uiIdx, Bool b )    { m_pbDBBPFlag[uiIdx] = b;           }
   Void          setDBBPFlagSubParts   ( Bool bDBBPFlag, UInt uiAbsPartIdx, UInt uiPartIdx, UInt uiDepth );
-  DBBPTmpData*  getDBBPTmpData        () { return &m_sDBBPTmpData; }
+  DbbpTmpData*  getDBBPTmpData        () { return &m_sDBBPTmpData; }
 #endif
   
@@ -596,5 +593,5 @@
   Void          clipMv                ( TComMv&     rcMv     );
 #if H_MV
-  Void          checkMV_V (TComMv&  rcMv,  RefPicList eRefPicList, int iRefIdx );
+  Void          checkMvVertRest (TComMv&  rcMv,  RefPicList eRefPicList, int iRefIdx );
 #endif
   Void          getMvPredLeft         ( TComMv&     rcMvPred )   { rcMvPred = m_cMvFieldA.getMv(); }
Index: branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComMotionInfo.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComMotionInfo.cpp	(revision 1186)
+++ branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComMotionInfo.cpp	(revision 1187)
@@ -335,7 +335,5 @@
   Int iStartPelY = g_auiRasterToPelY[g_auiZscanToRaster[uiAbsPartIdx]];
   Int iEndPelX = iStartPelX + iWidth;
-  Int iEndPelY = iStartPelY + iHeight;
-
-  Int iCurrRaster, uiPartAddr;
+  Int iEndPelY = iStartPelY + iHeight;  
 
   for (Int i=iStartPelY; i<iEndPelY; i+=pcCU->getPic()->getMinCUHeight())
@@ -343,6 +341,6 @@
     for (Int j=iStartPelX; j < iEndPelX; j += pcCU->getPic()->getMinCUWidth())
     {
-      iCurrRaster = i / pcCU->getPic()->getMinCUHeight() * pcCU->getPic()->getNumPartInWidth() + j/pcCU->getPic()->getMinCUWidth();
-      uiPartAddr = g_auiRasterToZscan[iCurrRaster];
+      Int iCurrRaster = i / pcCU->getPic()->getMinCUHeight() * pcCU->getPic()->getNumPartInWidth() + j/pcCU->getPic()->getMinCUWidth();
+      Int uiPartAddr = g_auiRasterToZscan[iCurrRaster];
       uiPartAddr -= pcCU->getZorderIdxInCU();  
 
Index: branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComPrediction.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComPrediction.cpp	(revision 1186)
+++ branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComPrediction.cpp	(revision 1187)
@@ -54,5 +54,7 @@
   m_pDepthBlock = (Int*) malloc(MAX_NUM_SPU_W*MAX_NUM_SPU_W*sizeof(Int));
   if (m_pDepthBlock == NULL)
+  {
       printf("ERROR: UKTGHU, No memory allocated.\n");
+  }
 #endif
 }
@@ -62,5 +64,7 @@
 #if H_3D_VSP
   if (m_pDepthBlock != NULL)
-      free(m_pDepthBlock);
+  {
+    free(m_pDepthBlock);
+  }
   m_cYuvDepthOnVsp.destroy();
 #endif
@@ -513,5 +517,9 @@
 
 #if H_3D_DIM_DMM
-  if( dimType == DMM4_IDX && dmm4Segmentation == NULL ) { dmmSegmentation->destroy(); delete dmmSegmentation; }
+  if( dimType == DMM4_IDX && dmm4Segmentation == NULL )
+  { 
+    dmmSegmentation->destroy(); 
+    delete dmmSegmentation; 
+  }
 #endif
 }
@@ -635,5 +643,5 @@
   // segmentation of texture block --> mask IDs
   Pel*  pDepthBlockStart      = pDepthPels;
-  
+
   // first compute average of depth block for thresholding
   Int iSumDepth = 0;
@@ -648,38 +656,41 @@
   Int iBlkX = ( pcCU->getAddr() % pcCU->getSlice()->getIvPic (true, pcCU->getDvInfo(0).m_aVIdxCan)->getFrameWidthInCU() ) * g_uiMaxCUWidth  + g_auiRasterToPelX[ g_auiZscanToRaster[ pcCU->getZorderIdxInCU() ] ]+ ((cDv.getHor()+2)>>2);
   Int iBlkY = ( pcCU->getAddr() / pcCU->getSlice()->getIvPic (true, pcCU->getDvInfo(0).m_aVIdxCan)->getFrameWidthInCU() ) * g_uiMaxCUHeight + g_auiRasterToPelY[ g_auiZscanToRaster[ pcCU->getZorderIdxInCU() ] ]+ ((cDv.getVer()+2)>>2);
+  
   UInt t=0;
 
   for (Int y=0; y<uiSize; y+=iSubSample)
-   {
+  {
     for (Int x=0; x<uiSize; x+=iSubSample)
-   {
-if (iBlkX+x>iPictureWidth)
-{
-    Int depthPel = pDepthPels[t];
-    iSumDepth += depthPel;
-} 
-else
-{
-    Int depthPel = pDepthPels[x];
-    t=x;
-    iSumDepth += depthPel;
-}
-   }
-    
+    {
+      if (iBlkX+x>iPictureWidth)
+      {
+        Int depthPel = pDepthPels[t];
+        iSumDepth += depthPel;
+      } 
+      else
+      {
+        Int depthPel = pDepthPels[x];
+        t=x;
+        iSumDepth += depthPel;
+      }
+    }
+
     // next row
     if (!(iBlkY+y+4>iPictureHeight))
-    pDepthPels += uiDepthStride*iSubSample;
-  }
-  
+    {
+      pDepthPels += uiDepthStride*iSubSample;
+    }
+  }
+
   Int iSizeInBits = g_aucConvertToBit[uiSize] - g_aucConvertToBit[iSubSample];  // respect sub-sampling factor
   Int iMean = iSumDepth >> iSizeInBits*2;       // iMean /= (uiSize*uiSize);
-  
+
   // start again for segmentation
   pDepthPels = pDepthBlockStart;
-  
+
   // start mapping process
   Int matchedPartSum[2][2] = {{0,0},{0,0}}; // counter for each part size and boolean option
   PartSize virtualPartSizes[2] = { SIZE_Nx2N, SIZE_2NxN};
-  
+
   UInt uiHalfSize = uiSize>>1;
   for (Int y=0; y<uiSize; y+=iSubSample)
@@ -688,19 +699,19 @@
     {
       Int depthPel = 0;
-if (iBlkX+x>iPictureWidth)
-{
-    depthPel = pDepthPels[t];
-}
-else
-{ 
-    depthPel = pDepthPels[x];
-     t=x;
-}
-      
+      if (iBlkX+x>iPictureWidth)
+      {
+        depthPel = pDepthPels[t];
+      }
+      else
+      { 
+        depthPel = pDepthPels[x];
+        t=x;
+      }
+
       // decide which segment this pixel belongs to
       Int ucSegment = (Int)(depthPel>iMean);
-      
+
       // Matched Filter to find optimal (conventional) partitioning
-      
+
       // SIZE_Nx2N
       if(x<uiHalfSize)  // left
@@ -712,5 +723,5 @@
         matchedPartSum[0][1-ucSegment]++;
       }
-      
+
       // SIZE_2NxN
       if(y<uiHalfSize)  // top
@@ -723,12 +734,14 @@
       }
     }
-    
+
     // next row
     if (!(iBlkY+y+4>iPictureHeight))
-    pDepthPels += uiDepthStride*iSubSample;
-  }
-  
+    {
+      pDepthPels += uiDepthStride*iSubSample;
+    }
+  }
+
   PartSize matchedPartSize = SIZE_NONE;
-  
+
   Int iMaxMatchSum = 0;
   for(Int p=0; p<2; p++)  // loop over partition
@@ -743,7 +756,7 @@
     }
   }
-  
+
   AOF( matchedPartSize != SIZE_NONE );
-  
+
   return matchedPartSize;
 }
@@ -761,5 +774,5 @@
   uiMaxDepth = pDepthPels[ 0 ];
   iSumDepth  = pDepthPels[ 0 ];
-  UInt t=0;
+  
   Int iPictureWidth = pcCU->getSlice()->getIvPic (true, pcCU->getDvInfo(0).m_aVIdxCan)->getPicYuvRec()->getWidth();
   Int iPictureHeight = pcCU->getSlice()->getIvPic (true, pcCU->getDvInfo(0).m_aVIdxCan)->getPicYuvRec()->getHeight();  
@@ -835,4 +848,5 @@
 
   // generate mask
+  UInt t=0;
   UInt uiSumPix[2] = {0,0};
   for (Int y=0; y<uiHeight; y++)
@@ -952,5 +966,9 @@
   }
 
-  if ( tmpTar    ) { xFree(tmpTar);             tmpTar        = NULL; }
+  if ( tmpTar    ) 
+  { 
+    xFree(tmpTar);             
+    tmpTar        = NULL; 
+  }
   
   // now combine chroma
@@ -1055,6 +1073,14 @@
   }
 
-  if ( tmpTarU    ) { xFree(tmpTarU);             tmpTarU        = NULL; }
-  if ( tmpTarV    ) { xFree(tmpTarV);             tmpTarV        = NULL; }
+  if( tmpTarU )
+  {
+    xFree(tmpTarU);
+    tmpTarU        = NULL;
+  }
+  if ( tmpTarV    ) 
+  {
+    xFree(tmpTarV);
+    tmpTarV        = NULL; 
+  }
 }
 #endif
@@ -1243,5 +1269,5 @@
   pcCU->clipMv(cMv);
 #if H_MV
-  pcCU->checkMV_V(cMv, eRefPicList, iRefIdx );
+  pcCU->checkMvVertRest(cMv, eRefPicList, iRefIdx );
 #endif
 #if H_3D_ARP
@@ -2367,6 +2393,12 @@
     for( UInt k = 0; k < (patternStride * patternStride); k++ )
     {
-      if( true == biSegPattern[k] ) { ptrDst[k] = valDC2; }
-      else                          { ptrDst[k] = valDC1; }
+      if( true == biSegPattern[k] )
+      { 
+        ptrDst[k] = valDC2; 
+      }
+      else                          
+      { 
+        ptrDst[k] = valDC1; 
+      }
     }
   }
@@ -2378,6 +2410,12 @@
       for( UInt uiX = 0; uiX < patternStride; uiX++ )
       {
-        if( true == biSegPattern[uiX] ) { piTemp[uiX] = valDC2; }
-        else                            { piTemp[uiX] = valDC1; }
+        if( true == biSegPattern[uiX] ) 
+        { 
+          piTemp[uiX] = valDC2; 
+        }
+        else                            
+        { 
+          piTemp[uiX] = valDC1; 
+        }
       }
       piTemp       += dstStride;
@@ -2449,9 +2487,11 @@
   Int iSumPix[2];
   memset(iSumPix, 0, sizeof(Int)*2);
+
   for( Int i = 0; i < uiNumSegments; i++ )
   {
-    rpSegMeans[i] = 0;
-  }
-  if (orgDC == false)
+    rpSegMeans[i] = 0;  
+  }
+
+  if ( !orgDC )
   {
     Pel* pLeftTop = pOrig;
@@ -2473,4 +2513,5 @@
     subSamplePix = 1;
   }
+
   for (Int y=0; y<uiSize; y+=subSamplePix)
   {
@@ -2492,7 +2533,11 @@
   {
     if( iSumPix[ucSeg] > 0 )
+    {
       rpSegMeans[ucSeg] = iSumDepth[ucSeg] / iSumPix[ucSeg];
+    }
     else
+    {
       rpSegMeans[ucSeg] = 0;  // this happens for zero-segments
+    }
   }
 }
Index: branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComRdCost.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComRdCost.cpp	(revision 1186)
+++ branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComRdCost.cpp	(revision 1187)
@@ -2862,12 +2862,9 @@
 UInt TComRdCost::getVSDEstimate( Int dDM, Pel* pOrg, Int iOrgStride,  Pel* pVirRec, Pel* pVirOrg, Int iVirStride, Int x, Int y )
 {
-  Double dD;
-  Int iTemp;
-
-  dD = ( (Double) ( dDM >> DISTORTION_PRECISION_ADJUSTMENT( g_bitDepthY - 8 ) ) ) * m_dDisparityCoeff;
+  Double  dD = ( (Double) ( dDM >> DISTORTION_PRECISION_ADJUSTMENT( g_bitDepthY - 8 ) ) ) * m_dDisparityCoeff;
 
   Double dDepthWeight = ( pOrg[x] >=  ( (1<<(g_bitDepthY - 3)) + (1<<(g_bitDepthY - 2)) ) ? 4 : pOrg[x] > ((1<<g_bitDepthY) >> 4) ? (Float)(pOrg[x] - ((1<<g_bitDepthY) >> 4))/(Float)((1<<g_bitDepthY) >> 3) + 1 : 1.0 );
   Double dTemp = ( 0.5 * fabs(dD) * dDepthWeight * ( abs( (Int) pVirRec[ x+y*iVirStride ] - (Int) pVirRec[ x-1+y*iVirStride ] ) + abs( (Int) pVirRec[ x+y*iVirStride ] - (Int) pVirRec[ x+1+y*iVirStride ] ) ) );
-  iTemp = (Int) (((dTemp) < 0)? (Int)((dTemp) - 0.5) : (Int)((dTemp) + 0.5));
+  Int iTemp = (Int) (((dTemp) < 0)? (Int)((dTemp) - 0.5) : (Int)((dTemp) + 0.5));
 
   return (UInt) ( (iTemp*iTemp)>>1 );
Index: branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComRom.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComRom.cpp	(revision 1186)
+++ branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComRom.cpp	(revision 1187)
@@ -104,10 +104,16 @@
   if( !g_dmmWedgeLists.empty() ) 
   {
-    for( UInt ui = 0; ui < g_dmmWedgeLists.size(); ui++ ) { g_dmmWedgeLists[ui].clear(); }
+    for( UInt ui = 0; ui < g_dmmWedgeLists.size(); ui++ )
+    { 
+      g_dmmWedgeLists[ui].clear(); 
+    }
     g_dmmWedgeLists.clear();
   }
   if( !g_dmmWedgeRefLists.empty() )
   {
-    for( UInt ui = 0; ui < g_dmmWedgeRefLists.size(); ui++ ) { g_dmmWedgeRefLists[ui].clear(); }
+    for( UInt ui = 0; ui < g_dmmWedgeRefLists.size(); ui++ ) 
+    { 
+      g_dmmWedgeRefLists[ui].clear(); 
+    }
     g_dmmWedgeRefLists.clear();
   }
@@ -115,5 +121,8 @@
   if( !g_dmmWedgeNodeLists.empty() )
   {
-    for( UInt ui = 0; ui < g_dmmWedgeNodeLists.size(); ui++ ) { g_dmmWedgeNodeLists[ui].clear(); }
+    for( UInt ui = 0; ui < g_dmmWedgeNodeLists.size(); ui++ )
+    { 
+      g_dmmWedgeNodeLists[ui].clear(); 
+    }
     g_dmmWedgeNodeLists.clear();
   }
Index: branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComRom.h
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComRom.h	(revision 1186)
+++ branches/HTM-14.0-dev0/source/Lib/TLibCommon/TComRom.h	(revision 1187)
@@ -290,11 +290,11 @@
 
 #if H_MV_ENC_DEC_TRAC
-#define DTRACE_CU(x,y)             
-#define DTRACE_PU(x,y)             
-#define DTRACE_TU(x,y)             
-
-#define DTRACE_CU_S(x)             
-#define DTRACE_PU_S(x)             
-#define DTRACE_TU_S(x)             
+#define DTRACE_CU(x,y) ;             
+#define DTRACE_PU(x,y) ;            
+#define DTRACE_TU(x,y) ;            
+
+#define DTRACE_CU_S(x) ;            
+#define DTRACE_PU_S(x) ;            
+#define DTRACE_TU_S(x) ;            
 
 #endif
